<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use App\Models\User;

class DatabaseSeeder extends Seeder
{
    public function run(): void
    {
        // 1. Jalankeun Seeder Settings (Username/API Key)
        $this->call([
            SettingSeeder::class,
        ]);

        // 2. Jieun Akun Admin Otomatis
        User::create([
            'name' => 'Admin Ryll Store',
            'email' => 'admin@gmail.com',
            'password' => Hash::make('admin123'),
            'role' => 'admin',
        ]);
    }
}